| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cutlass::Array< T, N, false >::reference Class Reference

Reference object inserts or extracts sub-byte items.

`#include <array_subbyte.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | reference ()
| Default ctor. More...
CUTLASS_HOST_DEVICE | reference (Storage *ptr, int idx=0)
| Ctor. More...
CUTLASS_HOST_DEVICE reference & | operator= (T x)
| Assignment. More...
CUTLASS_HOST_DEVICE T | get () const
CUTLASS_HOST_DEVICE | operator T () const
| Extract. More...
CUTLASS_HOST_DEVICE | operator int () const
| Explicit cast to int. More...
CUTLASS_HOST_DEVICE | operator float () const
| Explicit cast to float. More...

## Constructor & Destructor Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::reference::reference | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::reference::reference | ( | Storage * | ptr,
|  | int | idx = `0`
| ) |  |
| inline

## Member Function Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE T cutlass::Array< T, N, false >::reference::get | ( |  | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::reference::operator float | ( |  | ) | const
| inline explicit

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::reference::operator int | ( |  | ) | const
| inline explicit

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::reference::operator T | ( |  | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE reference& cutlass::Array< T, N, false >::reference::operator= | ( | T | x | ) |
| inline

The documentation for this class was generated from the following file:

- array_subbyte.h